events.listen("recipes", function (e) {
  //plate copper tinker
  tinkerplates(
    "alltheores:molten_copper",
    144,
    "thermal:copper_plate",
    "tconstruct:casts/multi_use/plate",
    false,
    100
  );
  tinkerplates(
    "alltheores:molten_copper",
    144,
    "thermal:copper_plate",
    "tconstruct:casts/multi_use/plate",
    false,
    100
  );
  tinkerplates(
    "alltheores:molten_aluminum",
    144,
    "kubejs:aluminum_plate",
    "tconstruct:casts/multi_use/plate",
    false,
    100
  );

  function tinkerplates(entree, qte, sortie, cast, consume, time) {
    e.custom({
      type: "tconstruct:casting_table",
      cast: { tag: cast },
      cast_consumed: consume,
      fluid: { name: entree, amount: qte },
      result: sortie,
      cooling_time: time,
    });
  }
});
